---

######################################################################
#
# platform-config-defaults-x86-64.yml
#
# Default settings for x86-64 platform-config YAML declarations
#
# X86 platforms assume a GPT partition table and ext4 partitions
#
######################################################################

default:

  grub:

    label: gpt
    # default, use a GPT (not msdos) label
    # this is mostly to *reject* invalid disk labels,
    # since we will never create our own

    kernel-3.2: &kernel-3-2
      =: kernel-3.2-lts-x86_64-all
      package: onl-kernel-3.2-lts-x86-64-all:amd64

    kernel-3.16: &kernel-3-16
      =: kernel-3.16-lts-x86_64-all
      package: onl-kernel-3.16-lts-x86-64-all:amd64

    kernel-4.9: &kernel-4-9
      =: kernel-4.9-lts-x86_64-all
      package: onl-kernel-4.9-lts-x86-64-all:amd64


    kernel-4.14: &kernel-4-14
      =: kernel-4.14-lts-x86_64-all
      package: onl-kernel-4.14-lts-x86-64-all:amd64

    # pick one of the above kernels
    kernel:
      <<: *kernel-3-16

    # GRUB command line arguments for 'serial' declaration
    # this is equivalent to, but not in the same format as,
    # the linux 'console=' arguments below
    # Default for ttyS1
    serial: >-
      --port=0x2f8
      --speed=115200
      --word=8
      --parity=no
      --stop=1

    # supplemental kernel arguments
    # (not including kernel, initrd and ONL-specific options)
    # Default for ttyS1
    args: >-
      nopat
      console=ttyS1,115200n8

    ### Defaults for ttyS0
    ##serial: >-
    ##  --port=0x3f8
    ##  --speed=115200
    ##  --word=8
    ##  --parity=no
    ##  --stop=1
    ##args: >-
    ##  nopat
    ##  console=ttyS0,115200n8

    ##device: /dev/vda
    ### install to a specific block device

    device: ONIE-BOOT
    # install to the device that contains the ONIE-BOOT partition
    # (query using parted and/or blkid)

  # Default partitioning scheme
  # boot, config --> 128MiB
  # images --> 1GiB
  # data --> rest of disk
  # default format (as shown) is ext4
  installer:
  - ONL-BOOT:
      =: 128MiB
      format: ext4
  - ONL-CONFIG:
      =: 128MiB
      format: ext4
  - ONL-IMAGES:
      =: 1GiB
      format: ext4
  - ONL-DATA:
      =: 100%
      format: ext4

  ### Sample partitioning scheme experiencing disk space pressure
  ##installer:
  ##- ONL-BOOT: 128MiB
  ##- ONL-CONFIG: 128MiB
  ##- ONL-IMAGES: 384MiB
  ##- ONL-DATA: 100%

  network:

    # remap interface names on boot (loader only)
    # make sure you have a valid 'ma1' entry in your platform config...

    interfaces:

      # this should work for most systems
      ma1:
        name: eth0

      # for other wierd corner cases
      ##ma1:
      ##  name: ~
      ##  syspath: SOME-PATH
